<form name="form" (ngSubmit)="onSubmit(form)" #form="ngForm" autocomplete="off" novalidate>
    <input type="hidden" name="id" [(ngModel)]="service.formData.id" #id="ngModel"/>
    <div class="form-group">
        <label>Title</label>
        <span class="word-counter"> - {{(service.formData.title) ? service.formData.title.length : 0}}/255</span>
        <input class="form-control" name="title" [(ngModel)]="service.formData.title" #title="ngModel" maxlength="255"/>
    </div>
    <div class="form-group">
        <label>Content</label>
        <span class="word-counter"> - {{(service.formData.content) ? service.formData.content.length : 0}}/1024</span>
        <textarea name="content" [(ngModel)]="service.formData.content" #content="ngModel" class="form-control" rows="5" maxlength="1024"></textarea>
    </div>
    <div class="form-row">
        <div class="col">
            <button (click)="resetForm(form)" type="button" class="btn btn-outline-primary btn-block">CANCEL</button>
        </div>
        <div class="col">
            <button type="submit" class="btn btn-outline-primary btn-block">SAVE</button>
        </div>
    </div>
</form>